1e3b096b0a
PDF Mod is a simple application for modifying PDF documents. You can reorder, rotate, and remove pages, export images from a document, edit the title, subject, author, and keywords, and combine documents via drag and drop. ok jasper@ robert@ (on an older version 2 months ago...)
34 lines
1.2 KiB
Plaintext
34 lines
1.2 KiB
Plaintext
$OpenBSD: patch-icon-theme-installer,v 1.1.1.1 2011/03/07 21:54:03 ajacoutot Exp $
|
|
--- icon-theme-installer.orig Sat Oct 3 02:12:39 2009
|
|
+++ icon-theme-installer Sun Jan 16 14:11:08 2011
|
|
@@ -1,4 +1,4 @@
|
|
-#!/bin/bash
|
|
+#!/bin/sh
|
|
|
|
# icon-theme-installer
|
|
# Copyright (C) 2006 Novell, Inc.
|
|
@@ -101,12 +101,12 @@ if test -z "$INSTALL_BASE_DIR"; then
|
|
exit 1
|
|
fi
|
|
|
|
-if test ! -x $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' '); then
|
|
+if ! which $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' ') > /dev/null; then
|
|
echo "Cannot find '$MKINSTALLDIRS_EXEC'; You probably want to pass -m \$(mkinstalldirs)"
|
|
exit 1
|
|
fi
|
|
|
|
-if test ! -x $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' '); then
|
|
+if ! which $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' ') > /dev/null; then
|
|
echo "Cannot find '$INSTALL_DATA_EXEC'; You probably want to pass -x \$(INSTALL_DATA)"
|
|
exit 1
|
|
fi
|
|
@@ -160,7 +160,7 @@ for icon in $@; do
|
|
fi
|
|
done
|
|
|
|
-gtk_update_icon_cache_bin="$((which gtk-update-icon-cache || echo /opt/gnome/bin/gtk-update-icon-cache)2>/dev/null)"
|
|
+gtk_update_icon_cache_bin="$( (which gtk-update-icon-cache || echo /opt/gnome/bin/gtk-update-icon-cache)2>/dev/null)"
|
|
gtk_update_icon_cache="$gtk_update_icon_cache_bin -f -t $INSTALL_BASE_DIR"
|
|
|
|
if test -z "$INSTALL_DEST_DIR"; then
|